Agent Governance Protocol
API ReferenceExecution APIReceipts

Get execution receipt

GET
/agp/execution-receipts/{receiptId}

Authorization

AuthorizationBearer <token>

In: header

Scope: agp.execution.read, agp.execution.write

Path Parameters

receiptId*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/agp/execution-receipts/string"
{  "type": "ExecutionReceipt",  "receipt_id": "string",  "action_ref": "string",  "task_id": "string",  "executed_at": "2019-08-24T14:15:22Z",  "executor_id": "string",  "outcome": "accepted",  "result_hash": "string",  "external_ref": "string",  "signature": {    "alg": "string",    "kid": "string",    "issuer": "string",    "issued_at": "2019-08-24T14:15:22Z",    "payload_hash": "string",    "value": "string"  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}